ServerEvents.recipes(event => {

	event.remove({output: 'actuallyadditions:teleport_staff'})
	event.remove({output: 'immersiveengineering:fluid_placer'})
	event.remove({output: 'botania:dirt_rod'})
	event.remove({output: 'botania:skydirt_rod'})
	event.remove({output: 'botania:fire_rod'})

	event.remove({output: '#forge:dusts/ender_pearl'})

	event.remove({id: 'botania:elven_trade/ender_pearl_return'})
	event.remove({id: 'enderio:sag_milling/ender_pearl'})
	event.remove({ input: 'minecraft:ender_eye', type: 'tconstruct:melting' })
	event.remove({ input: 'minecraft:ender_chest', type: 'tconstruct:melting' })
	event.remove({ input: 'minecraft:end_crystal', type: 'tconstruct:melting' })
	event.remove({ input: 'minecraft:chain', type: 'tconstruct:melting' })
	event.remove({ input: 'minecraft:enchanted_golden_apple', type: 'tconstruct:melting' })
	event.remove({ input: 'minecraft:golden_apple', type: 'tconstruct:melting' })
	event.remove({ input: 'minecraft:golden_carrot', type: 'tconstruct:melting' })
	event.remove({ input: 'minecraft:chain', type: 'tconstruct:melting' })
	event.remove({ input: 'miners_delight:copper_cup', type: 'create:filling' })
	event.remove({ output: 'minecraft:golden_apple', type: 'tconstruct:casting_table' })
	event.remove({ output: 'minecraft:golden_carrot', type: 'tconstruct:casting_table' })
	event.remove({ output: 'minecraft:glistering_melon_slice', type: 'tconstruct:casting_table' })
	event.remove({ output: 'minecraft:clock', type: 'tconstruct:casting_table' })
	event.remove({ output: 'minecraft:compass', type: 'tconstruct:casting_table' })

	event.remove({ id: 'minecraft:chain' })
	event.shaped('minecraft:chain', [
		' n ',
		' i ',
		' n '
	], {
		i: 'minecraft:iron_ingot',
		n: 'minecraft:iron_nugget'
	})

	event.remove({ output: 'minecraft:ender_eye'})
	event.shapeless('minecraft:ender_eye', [
		'minecraft:ender_pearl',
		'minecraft:blaze_powder'
	])

	event.remove({output: 'tempad:tempad'})
	event.shaped('tempad:tempad', [
		'   ', 
		'ABA',
		'CDE'  
		],{
		A: 'enderio:dark_steel_ingot',
		B: 'minecraft:tinted_glass',
		C: 'tiab:time_in_a_bottle',
		D: 'mekanism:teleportation_core',
		E: 'enderio:ender_resonator'
})

	event.remove({mod: 'snad'})
	event.recipes.createPressing('snad:snad', 'minecraft:sand')
	event.recipes.createPressing('snad:red_snad', 'minecraft:red_sand')
	event.recipes.createPressing('snad:suol_snad', 'minecraft:soul_sand')

	event.replaceInput({input: 'minecraft:ender_pearl'}, 'minecraft:ender_pearl', 'minecraft:echo_shard')
	event.replaceInput({input: 'minecraft:ender_eye'}, 'minecraft:ender_eye', 'minecraft:echo_shard')
	event.replaceInput({id: 'thermal:machines/crucible/crucible_ender_pearl'}, 'minecraft:echo_shard', 'ae2:ender_dust')

	event.replaceInput({output: 'thermal:chiller_ball_cast'}, 'minecraft:magma_cream', 'minecraft:slime_ball')
	event.replaceInput({output: 'thermal:chiller_rod_cast'}, 'minecraft:blaze_rod', '#forge:rods/wooden')
	event.replaceInput({output: 'thermal:chiller_ingot_cast'}, 'minecraft:nether_brick', 'minecraft:brick')

	event.remove({output: 'mekanism:dust_coal', input: 'minecraft:charcoal'})
	event.remove({id: 'mekanism:processing/coal/to_dust'})
	event.remove({id: 'enderio:sag_milling/coal'})


	event.remove({ output: 'musketmod:cartridge'})
	event.shapeless('8x musketmod:cartridge', [
		'thermal:lead_nugget',
		'minecraft:gunpowder',
		'minecraft:paper'
	])

	event.remove({ id: 'actuallyadditions:tiny_to_charcoal' })
	event.remove({ id: 'actuallyadditions:tiny_to_coal' })
	event.remove({ id: 'actuallyadditions:coal_to_tiny' })
	event.remove({ id: 'actuallyadditions:charcoal_to_tiny' })
	event.remove({ id: 'immersiveengineering:refinery/acetaldehyde'})

	event.shapeless('minecraft:coal_block', ['9x minecraft:coal'])
	event.shapeless('9x minecraft:coal', ['minecraft:coal_block'])
	event.shapeless('5x actuallyadditions:tiny_charcoal', ['minecraft:charcoal'])
	event.shapeless('5x actuallyadditions:tiny_coal', ['minecraft:coal'])
	event.recipes.create.crushing([
		Item.of('mekanism:dust_coal').withChance(0.6)
	],'minecraft:coal')
	event.recipes.create.crushing([
		Item.of('mekanism:dust_charcoal').withChance(0.45)
	],'minecraft:charcoal')
	event.recipes.farmersdelight.cutting(
		"minecraft:coal",
		"#minecraft:pickaxes", // tool
		[ // results
			'6x actuallyadditions:tiny_coal',
			Item.of("actuallyadditions:tiny_coal").withChance(0.5),
			Item.of("actuallyadditions:tiny_coal").withChance(0.25),
		],
	);
	event.recipes.farmersdelight.cutting(
		"minecraft:charcoal",
		"#minecraft:pickaxes", // tool
		[ // results
			'6x actuallyadditions:tiny_charcoal',
			Item.of("actuallyadditions:tiny_charcoal").withChance(0.35),
			Item.of("actuallyadditions:tiny_charcoal").withChance(0.15),
		],
	);

	event.remove({ id: 'create:crushing/crimsite' })
	event.remove({ id: 'create:crushing/crimsite_recycling' })
	event.recipes.createCrushing([
		Item.of('create:crushed_raw_iron').withChance(0.4),
		Item.of('immersiveengineering:raw_aluminum').withChance(0.02),
	], 'create:crimsite')
	event.recipes.createCrushing([
		Item.of('create:crushed_raw_iron').withChance(0.3),
		Item.of('immersiveengineering:raw_aluminum').withChance(0.01),
	], '#create:stone_types/crimsite')
	event.remove({ id: 'create:crushing/veridium' })
	event.remove({ id: 'create:crushing/veridium_recycling' })
	event.recipes.create.crushing([
		Item.of('create:crushed_raw_copper').withChance(0.5)
	], 'create:veridium')
	event.recipes.create.crushing([
		Item.of('create:crushed_raw_copper').withChance(0.4)
	], '#create:stone_types/veridium')
	event.remove({ id: 'create:crushing/asurine' })
	event.remove({ id: 'create:crushing/asurine_recycling' })
	event.recipes.create.crushing([
		Item.of('create:crushed_raw_zinc').withChance(0.6)
	], 'create:asurine')
	event.recipes.create.crushing([
		Item.of('create:crushed_raw_zinc').withChance(0.5)
	], '#create:stone_types/asurine')
	event.remove({ id: 'create:crushing/tuff' }) //no electrum farming exploit
	event.remove({ id: 'create:crushing/tuff_recycling' })
	event.recipes.create.crushing([
		Item.of('thermal:silver_nugget').withChance(0.05)
	], 'minecraft:tuff')
	event.recipes.create.crushing([
		Item.of('thermal:silver_nugget').withChance(0.04)
	], '#create:stone_types/tuff')
	event.remove({ id: 'create:crushing/ochrum' })
	event.remove({ id: 'create:crushing/ochrum_recycling' })
	event.recipes.create.crushing([
		Item.of('create:crushed_raw_gold').withChance(0.2)
	], 'create:ochrum')
	event.recipes.create.crushing([
		Item.of('create:crushed_raw_gold').withChance(0.15)
	], '#create:stone_types/ochrum')
	event.remove({ id: 'create:splashing/crushed_raw_gold' })

	event.remove({ output: 'eidolon:polished_planks', input: 'eidolon:polished_wood_pillar' })
	event.remove({ output: 'thermal:aquachow' })
	event.remove({ output: 'thermal:deep_aquachow' })
	event.shapeless('2x thermal:aquachow', [
		'minecraft:wheat',
		'minecraft:wheat',
		'#forge:slimeballs'
	])
	event.shapeless('thermal:deep_aquachow', [
		'minecraft:wheat',
		'minecraft:beetroot',
		'#forge:nuggets/lead',
		'#forge:slimeballs'
	])
	

})